#
# spec file for package kalk
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           kalk
Version:        21.08
Release:        2%{?dist}
License:        GPL-3.0-or-later
Summary:        Convergent calculator
Url:            https://invent.kde.org/plasma-mobile/kalk
Source0:        https://download.kde.org/stable/plasma-mobile/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  python3-decorator
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  appstream
BuildRequires:  extra-cmake-modules
BuildRequires:  hicolor-icon-theme
#BuildRequires:  update-desktop-files
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  pkgconfig(gmp)
BuildRequires:  pkgconfig(mpfr)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Feedback)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5UnitConversion)
Requires:       kf5-kirigami2
#Requires:       dejavu-fonts
#dejavu-fonts provides U+232B
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Kalk is a convergent calculator application built with the Kirigami framework. 
Although it is mainly targeted for mobile platforms, it can also be used on the desktop.

%global debug_package %{nil}

%prep
%autosetup -n %{name}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%fdupes %{buildroot}%{_prefix}

%files
%defattr(-,root,root,-)
%doc README.md
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/applications/*.desktop
%{_kf5_metainfodir}/*.appdata.xml
/usr/share/icons/hicolor/scalable/apps/kalk.svg
  /usr/share/locale/ca/LC_MESSAGES/kalk.mo
   /usr/share/locale/ca@valencia/LC_MESSAGES/kalk.mo
   /usr/share/locale/cs/LC_MESSAGES/kalk.mo
   /usr/share/locale/de/LC_MESSAGES/kalk.mo
   /usr/share/locale/en_GB/LC_MESSAGES/kalk.mo
   /usr/share/locale/es/LC_MESSAGES/kalk.mo
   /usr/share/locale/eu/LC_MESSAGES/kalk.mo
   /usr/share/locale/fi/LC_MESSAGES/kalk.mo
   /usr/share/locale/fr/LC_MESSAGES/kalk.mo
   /usr/share/locale/hi/LC_MESSAGES/kalk.mo
   /usr/share/locale/hu/LC_MESSAGES/kalk.mo
   /usr/share/locale/it/LC_MESSAGES/kalk.mo
   /usr/share/locale/ko/LC_MESSAGES/kalk.mo
   /usr/share/locale/nl/LC_MESSAGES/kalk.mo
   /usr/share/locale/nn/LC_MESSAGES/kalk.mo
   /usr/share/locale/pl/LC_MESSAGES/kalk.mo
   /usr/share/locale/pt/LC_MESSAGES/kalk.mo
   /usr/share/locale/pt_BR/LC_MESSAGES/kalk.mo
   /usr/share/locale/sk/LC_MESSAGES/kalk.mo
   /usr/share/locale/sl/LC_MESSAGES/kalk.mo
   /usr/share/locale/sv/LC_MESSAGES/kalk.mo
   /usr/share/locale/uk/LC_MESSAGES/kalk.mo
   /usr/share/locale/ca/LC_MESSAGES/kalk.mo

%changelog
* Mon Oct 11 2021 Yoda
- Initial package
